QGIS Application - Bug report #19196
Handle Bad Layers bulk edit
2018-06-15 12:22 AM - Brenna Hughes

Status: Closed
Priority: Normal
Assignee:

Category: Unknown

Affected QGIS version:2.18.20
Operating System: Windows 7 Pro
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: not reproducable

Copied to github as #: 27025

Description

I've had to fix all the layers on a few projects lately, and they've had the same behavior problem:
The Handle Bad Layers window fails to apply to all selected items. It seems to work on about half those selected, so | have to iterate
through until the last one is done manually. Screenshots attached.

The process is especially slow as the bulk folder selection doesn't remember previous locations.

History

#1 - 2018-06-15 04:31 PM - Richard Duivenvoorde
- Status changed from Open to Feedback

It is easiest if you add a project + some datafiles. Then people can confirm and/or debug that.

I've tried to reproduce it with a project with 5 shapefiles from a directory, closing the project, then renaming the containing dir and then load the project

again, browsing to the new files.

All seem to load fine. (though | had the feeling once | missed one...).

Can you describe a clear scenario when this reproducible happens?

Or is it only with >10 layers or so?

Preferably with some data, as said.

#2 - 2018-08-16 12:01 AM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

Closing for lack of feedback.
